No polling + no graphs after update

No new data after update on Ubuntu 20.04.3 LTS.
Ran pip3 install -U -r requirements.txt, but still nothing. No errors from validate.php or daily.sh.
$ ./validate.php
====================================
Component | Version
--------- | -------
LibreNMS | 21.9.0-73-g4e94c1e0a
DB Schema | 2021_09_07_094310_create_push_subscriptions_table (221)
PHP | 7.4.3
Python | 3.8.10
MySQL | 10.3.31-MariaDB-0ubuntu0.20.04.1
RRDTool | 1.7.2
SNMP | NET-SNMP 5.8
====================================

[OK]    Composer Version: 2.1.8
[OK]    Dependencies up-to-date.
[OK]    Database connection successful
[OK]    Database schema correct

https://p.libren.ms/view/f91a8198

Don’t know if this helps in any way:

# /opt/librenms/poller-wrapper.py 16
2021-10-08 15:37:36,862 :: INFO :: Using pure python SQL client
2021-10-08 15:37:36,870 :: CRITICAL :: ERROR: Could not connect to MySQL database! (2003, "Can't connect to MySQL server on 'localhost' ([Errno 111] Connection refused)")
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 613, in connect
    sock = socket.create_connection(
  File "/usr/lib/python3.8/socket.py", line 808, in create_connection
    raise err
  File "/usr/lib/python3.8/socket.py", line 796, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/librenms/poller-wrapper.py", line 57, in <module>
    wrapper.wrapper(
  File "/opt/librenms/LibreNMS/wrapper.py", line 463, in wrapper
    db_connection = LibreNMS.DB(sconfig)
  File "/opt/librenms/LibreNMS/__init__.py", line 218, in __init__
    self.connect()
  File "/opt/librenms/LibreNMS/__init__.py", line 249, in connect
    conn = MySQLdb.connect(**args)
  File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 353, in __init__
    self.connect()
  File "/usr/local/lib/python3.8/dist-packages/pymysql/connections.py", line 664, in connect
    raise exc
pymysql.err.OperationalError: (2003, "Can't connect to MySQL server on 'localhost' ([Errno 111] Connection refused)")